## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global project beetbrainz
%global goipath codeberg.org/gbcox/%{project}
%global forgeurl https://codeberg.org/gbcox/%{project}/
%global commit cc487a772443ca17e964823d66aeebc6e0f981e0
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global golicenses LICENSE.md
%global godocs     README.md

%global common_description %{expand:
%{project} is a lightweight Go-based webhook listener designed to bridge
the gap between your media server playback and your MusicBrainz
scrobbling via ListenBrainz.}

%gometa

Name:           %{goname}
Version:        1.3.0
Release:        %autorelease
Summary:        Provides webhook integration for ListenBrainz scrobbling with %{project}
License:        GPL-3.0-or-later
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang > 1.24
BuildRequires:  systemd-rpm-macros
# If building for Fedora ≤ 42 or beets is available
# Required because rawhide isn't ready
# Hard requirement for stable releases, skip in Rawhide (F43)
%if 0%{?fedora} < 43
Requires: beets
%endif

%description %common_description

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build

export GOFLAGS="-mod=readonly"

export LDFLAGS="\
  -X main.AppVersionFull=%{version} \
  -X main.CommitFull=%{commit} \
  -X main.ShortCommitFull=%{shortcommit} \
  -linkmode external -extldflags '-pie -fPIE %{build_ldflags}'"

%gobuild -o %{project} .

%install
install -Dm755 %{project} %{buildroot}%{_bindir}/%{project}
install -Dm644 %{project}.service %{buildroot}%{_userunitdir}/%{project}.service
mkdir -p %{buildroot}%{_mandir}/man8
install -m644 -p %{project}.8 %{buildroot}%{_mandir}/man8

%check
%{buildroot}%{_bindir}/%{project} --version

%post
%systemd_user_post %{project}.service

%preun
%systemd_user_preun %{project}.service

%postun
%systemd_user_postun %{project}.service

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/%{project}
%{_userunitdir}/%{project}.service
%{_mandir}/man8/%{project}.8*

%changelog
## START: Generated by rpmautospec
* Tue Jul 08 2025 Gerald B Cox <gbcox@fedoraproject.org> - 1.3.0-1
- rhbz#2378893

* Sun Jul 06 2025 Gerald B Cox <gbcox@fedoraproject.org> - 1.2.0-2
- rhbz#2376616

* Sun Jul 06 2025 Gerald B Cox <gbcox@fedoraproject.org> - 1.2.0-1
- rhbz#2376616

* Wed Jun 25 2025 Gerald B Cox <gbcox@fedoraproject.org> - 1.0.12-1
- Initial import (fedora#2373805)
## END: Generated by rpmautospec
